package com.xinyilu.common.utils;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Description BigDecimal类型计算工具类
 * @Author 纪寒
 * @Date 2022-08-16 13:20:11
 * @Version 1.0
 */
public class BigDecimalUtil {

    /**
     * 求平均值
     *
     * @param count 起始值
     * @param score 结束值
     * @return 保留两位小数的平均值
     */
    public static BigDecimal getAvgScore(BigDecimal count, BigDecimal score) {
        if (Objects.nonNull(count) && count.compareTo(BigDecimal.ZERO) != 0 && Objects.nonNull(score)) {
            return score.divide(count, 2, BigDecimal.ROUND_HALF_UP);
        } else {
            return BigDecimal.ZERO;
        }
    }
}
